%define upname  libebur128
%define major   1
%define libname %mklibname %{name}_ %{major}
%define devname %mklibname %{name} -d

Name:           ebur128
Version:        1.2.6
Release:        %mkrel 1
Summary:        A library implementing the EBU R128 loudness standard
License:        MIT
Group:          System/Libraries
Url:            https://github.com/jiixyj/libebur128
Source0:        https://github.com/jiixyj/libebur128/archive/v%{version}/%{upname}-%{version}.tar.gz
BuildRequires:  cmake

%description
This library library that implements the EBU R 128 standard for loudness
normalisation.

#----------------------------------------------------

%package -n     %{libname}
Summary:        A library implementing the EBU R128 loudness standard
Group:          System/Libraries

%description -n %{libname}
This library library that implements the EBU R 128 standard for loudness
normalisation.

This package contains the shared library.

#----------------------------------------------------

%package -n     %{devname}
Summary:        Development files for %{upname}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{upname}-devel = %{version}-%{release}

%description -n %{devname}
A library implementing the EBU R128 loudness standard.

This package contains header files and libraries needed to develop
application that use %{upname}.

#----------------------------------------------------

%prep
%setup -q -n %{upname}-%{version}

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc COPYING
%{_libdir}/%{upname}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/%{name}.h
%{_libdir}/%{upname}.so
%{_libdir}/pkgconfig/%{upname}.pc


%changelog
* Sun Jan 15 2023 daviddavid <daviddavid> 1.2.6-1.mga9
+ Revision: 1933593
- new version: 1.2.6

* Thu Mar 17 2022 umeabot <umeabot> 1.2.4-4.mga9
+ Revision: 1795136
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 daviddavid <daviddavid> 1.2.4-3.mga8
+ Revision: 1512698
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-2.mga7
+ Revision: 1297553
- Mageia 7 Mass Rebuild

* Sun Mar 25 2018 daviddavid <daviddavid> 1.2.4-1.mga7
+ Revision: 1212358
- new version: 1.2.4

* Mon Jan 08 2018 daviddavid <daviddavid> 1.2.3-1.mga7
+ Revision: 1191438
- new version: 1.2.3

* Mon Jul 31 2017 daviddavid <daviddavid> 1.2.2-2.mga7
+ Revision: 1132977
- initial package ebur128

